Bug 603311 - Review Request: R-caTools - Tools: moving window statistics, gif, base64, roc auc...
Review Request: R-caTools - Tools: moving window statistics, gif, base64, ro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
: 585817 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 06:29 EDT by Pierre-YvesChibon
Modified: 2010-07-26 13:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 13:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2010-06-12 06:29:23 EDT
Spec URL: 
http://pingou.fedorapeople.org/RPMs/R-caTools.spec
SRPM URL: 
http://pingou.fedorapeople.org/RPMs/R-caTools-1.10-3.fc13.src.rpm
Description: 
Contains several basic utility functions including: moving (rolling,
running) window statistic functions, read/write for GIF and ENVI binary
files, fast calculation of AUC, LogitBoost classifier, base64
encoder/decoder, round-off error free sum and cumsum, etc.
Comment 1 Pierre-YvesChibon 2010-06-12 06:31:05 EDT
*** Bug 585817 has been marked as a duplicate of this bug. ***
Comment 2 Chen Lei 2010-06-13 06:20:58 EDT
The package is already reviewed by the submitter, spec file is petty file.

rpmlint only showes some harmless warnings which can be ignored.

rpmlint R-caTools-*
R-caTools.x86_64: W: spelling-error Summary(en_US) gif -> fig, gig, if
R-caTools.x86_64: W: spelling-error Summary(en_US) roc -> cor, rock, Kroc
R-caTools.x86_64: W: spelling-error Summary(en_US) auc -> aux, ac, arc
R-caTools.x86_64: W: summary-ended-with-dot C Tools: moving window statistics, gif, base64, roc auc...
R-caTools.x86_64: W: spelling-error %description -l en_US cumsum -> cum sum, cum-sum, cums um

License field matches the upstream license.

The source used to build the package matches the upstream source,
as provided in the spec URL.
<<md5sum checksum>> 19c479fa167ffba886764c0059fc6824

This package is approved.
Comment 3 Pierre-YvesChibon 2010-06-13 06:28:01 EDT
Thanks for the review.


New Package CVS Request
=======================
Package Name: R-caTools
Short Description: Tools: moving window statistics, gif, base64, roc auc...
Owners: pingou
Branches: F-13 F-12
InitialCC:
Comment 4 Kevin Fenzi 2010-06-14 00:47:48 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Pierre-YvesChibon 2010-06-27 11:00:28 EDT
hm I can't build it since R-bitops is still in updates-testing.

I have added a 'works for me' on koji, let's see if the maintainer reacts.
Comment 6 Chen Lei 2010-06-27 12:16:05 EDT
(In reply to comment #5)
> hm I can't build it since R-bitops is still in updates-testing.
> I have added a 'works for me' on koji, let's see if the maintainer reacts.    

Hi Pierre-YvesChibon,

Why not request for a membership in provenpackager? Things will be easier if you can commit all R-related packages.
See http://fedoraproject.org/wiki/Provenpackager_policy
Comment 7 Pierre-YvesChibon 2010-06-27 13:37:00 EDT
I actually asked once and got refused for valid reasons.
Comment 8 Chen Lei 2010-06-27 14:50:14 EDT
(In reply to comment #7)
> I actually asked once and got refused for valid reasons.    

The policy is changed, now you just need 3 positive votes from existed sponsors to become a provenpackager. Is their any active provenpackgers in R SIG?
Comment 9 Pierre-YvesChibon 2010-06-28 02:14:09 EDT
(In reply to comment #8)
> Is their any active provenpackgers in R SIG?    

Spot is the R maintainer

Note You need to log in before you can comment on or make changes to this bug.